#[repr(usize)]
#[derive(Clone)]
pub enum HammingMode {
    Encrypt = 4,
    Decrypt = 7,
}

pub struct EventHandler<F, C> {
    pub(crate) component: C,
    pub(crate) callback: F,
}

pub type SchemeCharacteristics = (f64, f64, f64, f64, f64, f64);
